package com.ruoyi.app.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotBlank;
import java.util.Date;

public class NFIDReadRecord {
    private Long id;
    private String deviceSerial;
    private String epcNo;
    private String hookNo;
    private Boolean bindFlag;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    // Getters and Setters
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeviceSerial() {
        return deviceSerial;
    }

    public void setDeviceSerial(String deviceSerial) {
        this.deviceSerial = deviceSerial;
    }

    public String getEpcNo() {
        return epcNo;
    }

    public void setEpcNo(String epcNo) {
        this.epcNo = epcNo;
    }

    @NotBlank(message = "吊钩号不能为空")
    public String getHookNo() {
        return hookNo;
    }

    public void setHookNo(String hookNo) {
        this.hookNo = hookNo;
    }

    public Boolean getBindFlag() {
        return bindFlag;
    }

    public void setBindFlag(Boolean bindFlag) {
        this.bindFlag = bindFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "NfidReadRecord{" +
                "id=" + id +
                ", deviceSerial='" + deviceSerial + '\'' +
                ", epcNo='" + epcNo + '\'' +
                ", hookNo='" + hookNo + '\'' +
                ", bindFlag=" + bindFlag +
                ", createTime=" + createTime +
                '}';
    }
}